{$FORM TForm2, Unit2.sfm}                      

uses
  Windows, Classes, Graphics, Controls, Forms, Dialogs, DB, 
  StdCtrls, ComCtrls, ExtCtrls, 
  CAM, 
  CADDocument,  
  CADFunctions, //LiteCAD-Api                                               
  CADConstants, //LiteCAD-Api
  CommonUtils,      
  PostProcessor;
                                                 
procedure Button1Click(Sender: TObject);
var Document, i: integer; MachineName: string;  
begin       
  Document    := CADDocument.hLcDrw;  
  MachineName := ComboBox1.Items[ComboBox1.ItemIndex];       
  ppReset(Document, MachineName, ProgressBar1)
  ppExecute;    
                             
  Memo1.Lines.Clear;                             
  CAM_SaveToStrings(Memo1.Lines);                
  Memo1.Refresh;                                               
end;                                                  
                                                
procedure ComboBox1Change(Sender: TObject);
begin                               
  ppLocate(ComboBox1.Items[ComboBox1.ItemIndex]);                      
end;                         
                    
procedure Form2_2_3_2_1_1Create(Sender: TObject);
begin     
  ComboBox1.Items.Clear;                            
  ppGetPostprocessorList(ComboBox1.Items);
  ComboBox1.ItemIndex := 0;                                                          
end;                             
                                                  
procedure btnSaveToFileClick(Sender: TObject);
begin                                                         
  SaveDialog1.Filter     := ppFileFilter;   
  SaveDialog1.InitialDir := ppInitialDir; 
  SaveDialog1.FileName   := ppOutputFileName;
  if SaveDialog1.Execute(nil) then   
    Memo1.Lines.SaveToFile(SaveDialog1.FileName);
end;               
                               
procedure btnShowSettingsClick(Sender: TObject);                      
begin                                            
  PPShowSettings;          
end;                                                             

begin                      
           
end; 
