{$FORM TfrmTanLine, fTanLine.sfm}                                               

uses
  Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls, 
  StdCtrls,
  CAM,                                                    
  CADDocument,                               
  CADFunctions, 
  CADConstants,             
  CommonUtils, 
  CADTypes; 
                                             
procedure frmTanLine_2Create(Sender: TObject);
begin
                                                               
end;

procedure btnCancelClick(Sender: TObject);
begin
  Close;         
end;  

procedure GetSelectedEntitys(var hEnt1: integer; var hEnt2: integer );
var hEnt, EntType, foundCount, nSelEnts: integer;  
begin  
  foundCount := 0;
  nSelEnts := CAD_PropGetInt(CADDocument.hBlock, CAD_PROP_BLOCK_NSELENTS );     
                                   
  if (nSelEnts >= 2) then  
  begin 
    hEnt := CAD_BlockGetFirstSel(CADDocument.hBlock);
    while ((hEnt1 = 0) or  (hEnt2 = 0)) and (foundCount < 2) and (hEnt <> 0) do
    begin            
      EntType := CAD_PropGetInt(hEnt, CAD_PROP_ENT_TYPE); 
      
      if (EntType = CAD_ENT_CIRCLE)  or  (EntType = CAD_ENT_ARC) then
      begin  
        if (hEnt1 = 0) then 
         hEnt1 :=  hEnt
        else   
          if (hEnt2 = 0) then             
         hEnt2 :=  hEnt;                                     
        inc(foundCount);  
      end;    
      
      hEnt := CAD_BlockGetNextSel(CADDocument.hBlock); 
    end; 
    if foundCount < 2 then   
      //MessageDlg('Select two Circles or Arcs', mtError, [mbOK], 0);
      ShowMessage('Select two Circles or Arcs!'); 
  end else                 
  begin       
    ShowMessage('Select two Circles or Arcs!'); 
  end;
                                                              
end;                                               
                                    
procedure btnOKClick(Sender: TObject); 
var hEnt1, hEnt2: integer;  
begin  
  hEnt1 := 0;                                                         
  hEnt2 := 0;                       
  GetSelectedEntitys(hEnt1, hEnt2); 
  if (hEnt1 > 0) and (hEnt2 > 0) then  
  begin
    CAD_BlockAddLineTan (CADDocument.hBlock, hEnt1, hEnt2, rgOptions.ItemIndex); 
    CAD_Refresh(CADDocument.hLcWnd);  
   end;          
  //else 
    //ShowMessage('Select two Circles or Arcs!');  
end;                                         
                          
begin 
end;                       
