{$FORM TForm2, Unit2.sfm}                                                          

uses
  Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, 
  SysUtils,
  CommonUtils;
                     
//y = y0  v(r2 - (x - x0)2)          
//y = y0 + sqrt(sqr(r) - sqr(x-x0));   
                      
function yValue(my, r, mx, x: float): float;
begin                
  result := my + sqrt(sqr(r) - sqr(x-mx));             
end;                                                    
                                                                                                                           
procedure Button1Click(Sender: TObject);
var r, my, mx, x, y,  tempArea, dia, width, Area, AreaFormula: single; i, RectCount: integer;
begin  
  SysUtils.DecimalSeparator := '.';             
  area      := 0;                                 
  tempArea  := 0;           
  r   := StrToFloat(edtRadius.Text); 
  dia := 2*r;
  mx := StrToFloat(edtMittelpunktX.Text);
  my := StrToFloat(edtMittelpunktY.Text);
  width := StrToFloat(edtWidth.Text);
                                          
  RectCount := round(dia / width);  
  for i := 1 to RectCount do
  begin
    x  := i * width;                        
    y  := yValue(my, r, mx, x);
    y := y - r;
    tempArea := abs(width * y);    
    Area := Area + tempArea;                
  end;     
  Area := Area * 2;
  AreaFormula := cuPi * r * r;  
  edtArea.Text :=  FloatToStr(area);      
  edtRectCount.Text := IntToStr(RectCount);
  edtAreaFormula.Text :=  FloatToStr(AreaFormula);    
                                                     
  edtAreaDifference.Text := FloatToStr(AreaFormula - Area); 
end;                                           
                                             
procedure btnCloseClick(Sender: TObject; var DragObject: TDragObject);
begin
  Close;
end;

begin                
end;                                   
