{$FORM TForm2, Unit2.sfm}                                 

uses
  Classes, Graphics, Controls, Forms, Dialogs, StdCtrls,
  CAM,                                                    
  CADDocument,                               
  CADFunctions, 
  CADConstants,             
  CommonUtils,  
  CADTypes; 
  
var                              
  laenge,
  breite,            
  Ansch1,       
  Ansch2,                                    
  Aussch,        
  Abstand,                  
  Versatz: TFloatType;
  Anzahl: integer;  
  
  HalbLaenge: TFloatType;  
  Addition: TFloatType;              
                                               
                                                                            
procedure Init;        
begin                                  
  laenge  := StrToFloat(edtLaenge.Text);                
  breite  := StrToFloat(edtbreite.Text); 
  Ansch1  := StrToFloat(edtAnsch1.Text);
  Ansch2  := StrToFloat(edtAnsch2.Text);     
  Aussch  := StrToFloat(edtAussch.Text);   
  Abstand := StrToFloat(edtAbstand.Text);   
  Versatz := StrToFloat(edtVersatz.Text); 
  Anzahl  := StrToInt(edtAnzahl.Text);               
end;

procedure Draw;  
var i, hLine: integer; sx, sy, ex, ey: TFloatType;
begin  
  DecimalSeparator := ',';
  Addition := 0;        
  laenge := laenge + Versatz;
  breite := breite + Versatz;
  HalbLaenge :=  laenge / 2;
  
  sx := 0;
  sy := HalbLaenge -  Ansch1;
  ex := 0;
  ey := HalbLaenge;                                                                                     
  
  //Ansch1
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
              
  //Ansch2   
                 
  sx := ex;                    
  sy := ey ;  
  ex := Ansch2;      
  //ey := HalbLaenge;                                                                          
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
  
  Addition := breite + Aussch;                    
  for  i := 0 to Anzahl - 1 do
  begin              
  sx := ex;                            
  sy := ey;  
  ex := ex;                   
  ey := 0;            
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
               
  sx := ex;
  sy := ey;                 
  ex := ex + breite;   
  //ey         
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
  
                                  
  sx := ex;          
  sy := ey;           
  //ex := ex + breite;   
  ey :=  HalbLaenge;    
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
 
  //Ausschnitt
  sx := ex;                                      
  sy := ey;           
  ex := ex + Aussch;   
  //ey :=  HalbLaenge;    
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 

  sx := sx - breite;
  sy := HalbLaenge;           
  ex := sx;        
  ey :=  laenge;    
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
  
  sx := ex;
  sy := ey;           
  ex := ex + breite;   
  //ey :=  laenge;    
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
  
  sx := ex;
  sy := ey;           
  //ex := ex + Aussch;   
  ey :=  HalbLaenge;    
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
                  
  sx := ex;  
  sy := ey; 
  if (Abstand < Aussch) then  Abstand := Aussch;                      
  ex := ex + Abstand;    
  ey :=  HalbLaenge;    
  hLine := CAD_BlockAddLine(CADDocument.hBlock, sx, sy, ex, ey);
  CAD_PropPutStr(hLine, CAD_PROP_ENT_LAYER, CAM_LAYER_KERF_OFF); 
  end;  
                                     
  CAD_BlockUpdate(CADDocument.hBlock, 1, 0);
                       
  CAD_ZoomRect(CADDocument.hLcWnd, -10, -10, ((breite + abstand) * anzahl) +10, (Laenge + 10)    ); 
  CAD_Refresh(CADDocument.hLcWnd);   
                                        
end;                                                    
                                                         
                                                                         
procedure btnInsertClick(Sender: TObject);
begin
  init;
  Draw;
end;

begin
end;    
